## com.google.gwt.event.logical.shared
Interface ValueChangeHandler<I>

Type Parameters:
  `I` - the value about to be changed

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  ListenerWrapper.WrappedLogicalChangeListener

    public interface ValueChangeHandler<I>

extends EventHandler

Handler interface for `ValueChangeEvent` events.

Method Summary
`void` | `onValueChange(ValueChangeEvent<I> event)` Called when `ValueChangeEvent` is fired.

Method Detail

### onValueChange

    void onValueChange(ValueChangeEvent<I> event)

  Called when `ValueChangeEvent` is fired.

  Parameters:
    `event` - the `ValueChangeEvent` that was fired